Remove work items from release
DELETE/api/v1/workspaces/{workspace_slug}/releases/{release_id}/work-items/
Removes one or more work items from a release.
Path Parameters
workspace_slug:requiredstringThe workspace_slug represents the unique workspace identifier for a workspace in Plane. It can be found in the URL. For example, in the URL https://app.plane.so/my-team/projects/, the workspace slug is my-team.
release_id:requiredstringThe unique identifier for the release.
Body Parameters
work_item_ids:requiredstring[]Array of work item IDs to remove from the release.
Scopes
releases.work_items:write
Remove work items from release
bash
curl -X DELETE \
"https://api.plane.so/api/v1/workspaces/my-workspace/releases/a1b2c3d4-e5f6-7890-abcd-ef1234567890/work-items/" \
-H "X-API-Key: $PLANE_API_KEY" \
# Or use -H "Authorization: Bearer $PLANE_OAUTH_TOKEN" \
-H "Content-Type: application/json" \
-d '{
"work_item_ids": ["d4e5f6a7-b8c9-0123-defa-456789012345"]
}'python
import requests
response = requests.delete(
"https://api.plane.so/api/v1/workspaces/my-workspace/releases/a1b2c3d4-e5f6-7890-abcd-ef1234567890/work-items/",
headers={"X-API-Key": "your-api-key"},
json={
'work_item_ids': ['d4e5f6a7-b8c9-0123-defa-456789012345']
}
)
print(response.status_code)javascript
const response = await fetch(
"https://api.plane.so/api/v1/workspaces/my-workspace/releases/a1b2c3d4-e5f6-7890-abcd-ef1234567890/work-items/",
{
method: "DELETE",
headers: {
"X-API-Key": "your-api-key",
"Content-Type": "application/json",
},
body: JSON.stringify({
work_item_ids: ["d4e5f6a7-b8c9-0123-defa-456789012345"],
}),
},
);Response204
json
// 204 No Content
